public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-nntp/sabnzbd/
Date: Fri, 18 Jun 2021 16:36:58 +0000 (UTC)	[thread overview]
Message-ID: <1624034213.7a1f2a15f471f9f784ee2d4600ea2b832a9812bf.whissi@gentoo> (raw)

commit:     7a1f2a15f471f9f784ee2d4600ea2b832a9812bf
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 18 16:32:08 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Jun 18 16:36:53 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a1f2a15

net-nntp/sabnzbd: bump to v3.3.1

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 net-nntp/sabnzbd/Manifest             |   1 +
 net-nntp/sabnzbd/sabnzbd-3.3.1.ebuild | 121 ++++++++++++++++++++++++++++++++++
 2 files changed, 122 insertions(+)

diff --git a/net-nntp/sabnzbd/Manifest b/net-nntp/sabnzbd/Manifest
index 0f91d6898d4..5cb7e6b14ab 100644
--- a/net-nntp/sabnzbd/Manifest
+++ b/net-nntp/sabnzbd/Manifest
@@ -1,2 +1,3 @@
 DIST SABnzbd-3.2.1-src.tar.gz 2777984 BLAKE2B 6e0ebe122a01f8cbd5b26eefe3728478dd348b3d11fb274c2a146b7567f306074ddd93b438463471e22fc77c6c2223e864c6019ba0d7ab464162451e9f9c8cb9 SHA512 ace29199eb6f03450d25fc3b79960d1afc336f0013771bcf698e7df5c5e5ed920ad783f542ba8f3dbcd451d279993a6d4299d78075184e43ad74411ac19c3f59
 DIST SABnzbd-3.3.0-src.tar.gz 2786354 BLAKE2B aa5034d99b570c6ae643209663b2b292d0dcc06dabcb09bb9b28e7b38248b88c98736ae35cff7c6e4c93d2d6a44b716dbf2fd8c7cf71f0b5a65ef0c625d9d00e SHA512 eefc20c9f6921a1efc8f7cafc6f544949dccacacfa01aff29a32355431f8d62d9f4f36312271987b10ff96e9b5f8c6bef390f594282ce42b743faa556489e7fa
+DIST SABnzbd-3.3.1-src.tar.gz 2786705 BLAKE2B 1ce58c2fd51304395402e2ad4379556e9f1a1471d524d1b3b969b9b201edf15dece1f12d9891695e9dbb02664014c2540ed9fce02b4418fc3100cd3bb2717983 SHA512 0ab7001935f19c8e1829051949965977b895456b83ee26b6379fd9c7024d114d5bdd0701d747c8935bb46a829d46379e4406012007a9039c43fb99e4db3ee920

diff --git a/net-nntp/sabnzbd/sabnzbd-3.3.1.ebuild b/net-nntp/sabnzbd/sabnzbd-3.3.1.ebuild
new file mode 100644
index 00000000000..e842f9ed1be
--- /dev/null
+++ b/net-nntp/sabnzbd/sabnzbd-3.3.1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+# Require python-2 with sqlite USE flag
+PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_REQ_USE="sqlite"
+
+inherit python-single-r1 systemd
+
+MY_PV="${PV/_rc/RC}"
+MY_PV="${MY_PV//_pre*}"
+
+MY_P="${PN/sab/SAB}-${MY_PV}"
+
+DESCRIPTION="Binary newsgrabber with web-interface"
+HOMEPAGE="https://sabnzbd.org/"
+SRC_URI="https://github.com/sabnzbd/sabnzbd/releases/download/${MY_PV}/${MY_P}-src.tar.gz"
+
+# Sabnzbd is GPL-2 but bundles software with the following licenses.
+LICENSE="GPL-2 BSD LGPL-2 MIT BSD-1"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+7za +rar unzip"
+
+# Sabnzbd is installed to /usr/share/ as upstream makes it clear they should not
+# be in python's sitedir.  See: https://sabnzbd.org/wiki/advanced/unix-packaging
+
+COMMON_DEPS="
+	acct-user/sabnzbd
+	acct-group/sabnzbd
+	${PYTHON_DEPS}
+	$(python_gen_cond_dep '
+		dev-python/chardet[${PYTHON_MULTI_USEDEP}]
+		dev-python/cheetah3[${PYTHON_MULTI_USEDEP}]
+		dev-python/cherrypy[${PYTHON_MULTI_USEDEP}]
+		dev-python/configobj[${PYTHON_MULTI_USEDEP}]
+		dev-python/cryptography[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/feedparser-6[${PYTHON_MULTI_USEDEP}]
+		dev-python/notify2[${PYTHON_MULTI_USEDEP}]
+		dev-python/portend[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/sabyenc-4[${PYTHON_MULTI_USEDEP}]
+	')
+"
+
+DEPEND="${COMMON_DEPS}"
+
+RDEPEND="
+	${COMMON_DEPS}
+	>=app-arch/par2cmdline-0.4
+	net-misc/wget
+	7za? ( app-arch/p7zip )
+	rar? ( || ( app-arch/unrar app-arch/rar ) )
+	unzip? ( >=app-arch/unzip-5.5.2 )
+"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+	MY_HOMEDIR="/var/lib/${PN}"
+	python-single-r1_pkg_setup
+}
+
+src_install() {
+	local d
+
+	for d in email icons interfaces locale po sabnzbd scripts tools; do
+		insinto "/usr/share/${PN}/${d}"
+		doins -r ${d}/*
+	done
+
+	exeinto "/usr/share/${PN}"
+	doexe SABnzbd.py
+
+	python_fix_shebang "${ED}/usr/share/${PN}"
+	python_optimize "${ED}/usr/share/${PN}"
+
+	newinitd "${FILESDIR}/${PN}-r1.initd" "${PN}"
+	newconfd "${FILESDIR}/${PN}.confd" "${PN}"
+
+	diropts -o "${PN}" -g "${PN}"
+	dodir "/etc/${PN}"
+	keepdir "/var/log/${PN}"
+
+	insinto "/etc/${PN}"
+	insopts -m 0600 -o "${PN}" -g "${PN}"
+	newins "${FILESDIR}"/${PN}-r1.ini ${PN}.ini
+
+	dodoc ISSUES.txt README.mkd
+
+	systemd_newunit "${FILESDIR}"/sabnzbd_at.service 'sabnzbd@.service'
+}
+
+pkg_postinst() {
+	if [[ -z "${REPLACING_VERSIONS}" ]]; then
+		# This is a new installation
+		einfo "Default directory: ${MY_HOMEDIR}"
+		einfo
+		einfo "To add a user to the sabnzbd group so it can edit SABnzbd+ files, run:"
+		einfo
+		einfo "    usermod -a -G sabnzbd <user>"
+		einfo
+		einfo "By default, SABnzbd will listen on TCP port 8080."
+	else
+		local v
+		for v in ${REPLACING_VERSIONS}; do
+			if ver_test "${v}" -lt 3; then
+				ewarn
+				ewarn "Due to changes in this release, the queue will be converted when ${PN}"
+				ewarn "is started for the first time. Job order, settings and data will be"
+				ewarn "preserved, but all jobs will be unpaused and URLs that did not finish"
+				ewarn "fetching before the upgrade will be lost!"
+				ewarn
+				break
+			fi
+		done
+	fi
+}


             reply	other threads:[~2021-06-18 16:37 UTC|newest]

Thread overview: 95+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-18 16:36 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-24 14:05 [gentoo-commits] repo/gentoo:master commit in: net-nntp/sabnzbd/ Michał Górny
2024-08-24 14:05 Michał Górny
2024-08-24 13:51 Michał Górny
2024-07-20  4:15 Joonas Niilola
2024-07-20  4:15 Joonas Niilola
2024-05-22 11:39 Michał Górny
2024-05-22  6:55 Michał Górny
2024-05-22  6:55 Michał Górny
2024-05-21 12:44 Michał Górny
2024-05-21  6:09 Joonas Niilola
2024-03-23  8:29 Sam James
2024-02-18 12:55 Sam James
2024-02-18 12:55 Sam James
2024-02-18 12:55 Sam James
2024-01-13  9:07 Joonas Niilola
2024-01-13  9:07 Joonas Niilola
2023-11-19  8:28 Michał Górny
2023-08-15 12:27 Joonas Niilola
2023-07-24 14:46 Arthur Zamarin
2023-06-12  4:13 Sam James
2023-06-12  4:13 Sam James
2023-05-30  7:52 Joonas Niilola
2023-05-26  8:10 Joonas Niilola
2023-05-26  8:10 Joonas Niilola
2023-02-27 12:33 Michał Górny
2023-02-27 12:31 Michał Górny
2023-02-15 11:53 Yixun Lan
2023-02-05 14:22 Michał Górny
2023-02-04 12:36 Arthur Zamarin
2023-01-15  8:29 Michał Górny
2023-01-15  7:51 Joonas Niilola
2022-12-24  7:03 Sam James
2022-11-22 13:37 Joonas Niilola
2022-11-22 13:37 Joonas Niilola
2022-10-14  7:47 Joonas Niilola
2022-10-13 16:50 Michał Górny
2022-10-12 21:01 Sam James
2022-10-12 20:44 Sam James
2022-10-12 20:44 Sam James
2022-10-12 20:44 Sam James
2022-10-12 20:44 Sam James
2022-10-12 20:44 Sam James
2022-08-17  3:12 Sam James
2022-06-07  8:26 Jakov Smolić
2021-10-15 14:33 Thomas Deutschmann
2021-09-29 16:55 Thomas Deutschmann
2021-09-25 14:03 Thomas Deutschmann
2021-09-25 14:03 Thomas Deutschmann
2021-09-25 13:59 Thomas Deutschmann
2021-09-22 12:16 Thomas Deutschmann
2021-06-01  8:19 Thomas Deutschmann
2021-06-01  8:19 Thomas Deutschmann
2021-05-15 19:26 Sam James
2021-03-31 22:19 Thomas Deutschmann
2021-03-01 18:06 Thomas Deutschmann
2021-03-01 18:06 Thomas Deutschmann
2020-11-12 15:23 Thomas Deutschmann
2020-10-19 21:16 Thomas Deutschmann
2020-09-01 20:58 Thomas Deutschmann
2020-08-31 21:37 Thomas Deutschmann
2020-08-18 13:53 Thomas Deutschmann
2020-08-04 13:49 Thomas Deutschmann
2020-08-02 22:32 Thomas Deutschmann
2020-07-22 17:30 Thomas Deutschmann
2020-06-27 23:57 Thomas Deutschmann
2020-06-26 22:12 Thomas Deutschmann
2020-02-09 16:34 Michał Górny
2019-12-06  0:42 Thomas Deutschmann
2019-09-04 14:21 Justin Bronder
2019-05-25  3:19 Justin Bronder
2019-01-29  2:23 Justin Bronder
2018-09-17 21:35 Justin Bronder
2018-06-14 19:25 Justin Bronder
2018-05-07 14:41 Justin Bronder
2018-01-03 15:55 Justin Bronder
2017-12-18 14:27 Justin Bronder
2017-11-09  0:35 Justin Bronder
2017-09-29 16:47 Justin Bronder
2017-03-22 23:32 Justin Bronder
2016-11-29 14:33 Justin Bronder
2016-11-29 14:31 Justin Bronder
2016-11-22 13:56 Justin Bronder
2016-11-21 16:46 Justin Bronder
2016-11-21 14:07 Justin Bronder
2016-11-21 14:07 Justin Bronder
2016-11-21 14:07 Justin Bronder
2016-11-21 14:07 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-08-18 19:10 Justin Bronder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1624034213.7a1f2a15f471f9f784ee2d4600ea2b832a9812bf.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox